# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Perl6-Bible
Version:        0.30
Release:        alt1_16
Summary:        Perl 6 Design Documentations
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perl6-Bible/
Source0:        http://www.cpan.org/authors/id/A/AU/AUTRIJUS/Perl6-Bible-%{version}.tar.gz
Source1:        README.license
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This Perl module distribution contains all the latest Perl 6 documentation
and a utility called p6bible for viewing it.

%prep
%setup -q -n Perl6-Bible-%{version}

# http://rt.cpan.org//Ticket/Display.html?id=20310
perl -pi -e 's/(?<!\xc2)([\xab\xbb])/\xc2$1/g' lib/Perl6/Bible/S05.pod

cp -a %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README README.license
%{_bindir}/p6bible
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_16
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_15
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_13
- fc import

